kind: pipeline
type: ssh
name: default

server:
  host: 192.168.46.100:2223
  user: jessequ
  password: 
    from_secret: password

workspace:
  path: /home/tmp

steps:
- name: build
  commands:
  - mkdir -p build/debug
  - cd build/debug
  - /home/jessequ/Qt/Tools/CMake/bin/cmake -S ../.. -DCMAKE_BUILD_TYPE:STRING=Debug -DCMAKE_GENERATOR:STRING=Ninja -DCMAKE_MAKE_PROGRAM:FILEPATH=/home/jessequ/Qt/Tools/Ninja/ninja -DCMAKE_PREFIX_PATH:PATH=/home/jessequ/Qt/6.7.2/gcc_64 -DCMAKE_PROJECT_INCLUDE_BEFORE:FILEPATH=/home/jessequ/Qt/Platforms/package-manager/auto-setup.cmake -DPostgreSQL_INCLUDE_DIR:FILEPATH=/usr/pgsql-17/include -DPostgreSQL_LIBRARY_DIR:FILEPATH=/usr/pgsql-17/lib -DPostgreSQL_LIBRARY:FILEPATH=/usr/pgsql-17/lib/libpq.so
  - /home/jessequ/Qt/Tools/Ninja/ninja